Bug 27447 - WebInspector: Accept autocomplete on 'End' key pressed.
: WebInspector: Accept autocomplete on 'End' key pressed.
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P3 Normal
Assigned To: Pavel Feldman
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-20 08:36 PDT by Pavel Feldman
Modified: 2009-07-28 21:41 PDT (History)
2 users (show)

See Also:


Attachments
зфеср (1015 bytes, patch)
2009-07-20 08:55 PDT, Pavel Feldman
no flags Details | Formatted Diff | Diff
patch (1.04 KB, patch)
2009-07-21 02:13 PDT, Pavel Feldman
timothy: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2009-07-20 08:36:28 PDT
Currently only 'Right' leads to autocomplete accept. Should be both 'Right' and 'End'.
Comment 1 Pavel Feldman 2009-07-20 08:55:50 PDT
Created attachment 33087 [details]
зфеср
Comment 2 Eric Seidel 2009-07-20 14:47:47 PDT
In XCode "end" cancels autocomplete.  What autocomplete are you basing this functionality off of?  MS Word?
Comment 3 Pavel Feldman 2009-07-21 02:01:01 PDT
(In reply to comment #2)
> In XCode "end" cancels autocomplete.  What autocomplete are you basing this
> functionality off of?  MS Word?

On non-Mac OS-based systems (Linux, Windows), "End" is moving cursor to the end of the edit field. It sounds much more intuitive to use "End" for auto-complete accept rather than "Right" arrow on these platforms. I could make this action platform-specific, but then decided to keep it simple.

On a more general topic, non-popup-based autocomplete is pretty unique to XCode and I don't think many web developers find it useful. (much more are familiar with Eclipse and Visual Studio). So I am thinking of filing a bug to support popup-based autocomplete.
Comment 4 Pavel Feldman 2009-07-21 02:13:41 PDT
Created attachment 33163 [details]
patch
Comment 5 Timothy Hatcher 2009-07-28 20:35:40 PDT
Comment on attachment 33163 [details]
patch

Sometimes space accepts completions too, but I think that isn't as comon. (I never used End before.)
Comment 6 Pavel Feldman 2009-07-28 21:41:07 PDT
Committed r46515
	M	WebCore/ChangeLog
	M	WebCore/inspector/front-end/TextPrompt.js
r46515 = 3a4dd73bf7f0b4ef5f4148170c0a1e7e6330f94d (trunk)